### Method

# Pos InputMethod get_surrounding_text

#### Declaration [src]

    const char*
    pos_input_method_get_surrounding_text (
      PosInputMethod* self,
      guint* anchor,
      guint* cursor
    )

#### Description

No description available.

Gets property | `Pos.InputMethod:surrounding-text`

#### Parameters

`anchor`

  Type: `guint*`

  No description available.

  The data is owned by the caller of the method.

`cursor`

  Type: `guint*`

  No description available.

  The data is owned by the caller of the method.

#### Return value

Type: `const char*`

No description available.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.